const Sequelize = require('sequelize');

export const TablesConfig = [
    {
        tableNameCn:'企业孵化信息',
        tableName:'enterprise_fuhua',
        schema:{
            fId: {
                type:Sequelize.STRING(20), //表示属性的数据类型
                allowNull:false, //表示当前列是否允许为空， false表示该列不能为空
                primaryKey:true, //表示主键
                unique:true //表示该列的值必须唯一
            },
            startTime: {type:Sequelize.STRING(100)}, //孵化开始日期
            endTime: {type:Sequelize.STRING(100)}, //孵化结束日期
            state: {type:Sequelize.STRING(100)}, //孵化状态
            virtualCause: {type:Sequelize.STRING(100)}, //虚拟孵化原因
            virtualCauseDes: {type:Sequelize.STRING(100)}, //虚拟孵化描述
            moveOutType: {type:Sequelize.STRING(100)}, //迁出类型
            moveOutTrace: {type:Sequelize.STRING(100)}, //迁出去向
            moveOutCause: {type:Sequelize.STRING(100)}, //迁出原因
            moveOutTime: {type:Sequelize.STRING(100)}, //迁出时间
            graduationTime: {type:Sequelize.STRING(100)}, //毕业时间
        },
        association: []
    },
    {
        tableNameCn:'租赁信息',
        tableName:'enterprise_lease',
        schema:{
            leaseId: {
                type:Sequelize.STRING(20), //表示属性的数据类型
                allowNull:false, //表示当前列是否允许为空， false表示该列不能为空
                primaryKey:true, //表示主键
                unique:true //表示该列的值必须唯一
            },
            area: {type:Sequelize.STRING(100)}, //租赁面积
            unitPrice: {type:Sequelize.STRING(100)}, //出租单价
            isDeposit: {type:Sequelize.STRING(100)}, //是否已收入孵押金金额
            startTime: {type:Sequelize.STRING(100)}, //租赁开始日期
            endTime: {type:Sequelize.STRING(100)}, //租赁结束日期
            rentFreeStart: {type:Sequelize.STRING(100)}, //免租期开始
            rentFreeEnd: {type:Sequelize.STRING(100)}, //免租期结束
            roomNumber: {type:Sequelize.STRING(100)}, //室号
            rent: {type:Sequelize.STRING(100)}, //每月租金
            desc: {type:Sequelize.STRING(100)}, //备注
            leaseContract: {type:Sequelize.STRING(100)}, //房屋租赁合同链接
            entryPlan: {type:Sequelize.STRING(100)}, //入驻计划复印件链接
            businessLicense: {type:Sequelize.STRING(100)}, //营业执照复印件链接
            agreement: {type:Sequelize.STRING(100)}, //孵化协议链接

        },
        association: []
    },
    {
        tableNameCn:'企业用户表',
        tableName:'enterprise_user',
        schema:{
            uId: {
                type:Sequelize.STRING(20), //表示属性的数据类型
                allowNull:false, //表示当前列是否允许为空， false表示该列不能为空
                primaryKey:true, //表示主键
                unique:true //表示该列的值必须唯一
            },
            userName: {type:Sequelize.STRING(100)}, //用户名称
            phone: {type:Sequelize.STRING(100)}, //手机号
            pwd: {type:Sequelize.STRING(100)}, //密码
            eId: {type:Sequelize.STRING(100)}, //关联企业id
            token: {type:Sequelize.STRING(100)}, //token
        },
        association: []
    },
    {
        tableNameCn:'企业融资',
        tableName:'enterprise_financing',
        schema:{
            fId: {
                type:Sequelize.STRING(20), //表示属性的数据类型
                allowNull:false, //表示当前列是否允许为空， false表示该列不能为空
                primaryKey:true, //表示主键
                unique:true //表示该列的值必须唯一
            },  
            financingAmount: {type:Sequelize.STRING(100)}, //融资金额（万元）
            financingRounds: {type:Sequelize.STRING(100)}, //融资轮次
            fuHuaQiInvestment: {type:Sequelize.STRING(100)}, //孵化器是否参与投资
            fuHuaQiInvestmentStyle: {type:Sequelize.STRING(100)}, //孵化器投资方式
            fuHuaQiInvestmentAmount: {type:Sequelize.STRING(100)}, //孵化器投资金额
            timeToObtainInvestment: {type:Sequelize.STRING(100)}, //获得投资时间
            investmentInstitutionsName: {type:Sequelize.STRING(100)}, //投资机构名称
            valuation: {type:Sequelize.STRING(100)}, //估值
        },
        association: []
    },
    {
        tableNameCn:'企业荣誉',
        tableName:'enterprise_honor',
        schema:{
            hId: {
                type:Sequelize.STRING(20), //表示属性的数据类型
                allowNull:false, //表示当前列是否允许为空， false表示该列不能为空
                primaryKey:true, //表示主键
                unique:true //表示该列的值必须唯一
            },
            awardName: {type:Sequelize.STRING(100)}, //奖项名称
            awardingUnit: {type:Sequelize.STRING(100)}, //颁奖单位
            awardTime: {type:Sequelize.STRING(100)}, //获奖日期
            awardLevel: {type:Sequelize.STRING(100)}, //奖项等级
            awardImg: {type:Sequelize.STRING(100)}, //关联图片
        },
        association: []
    },
    {
        tableNameCn:'企业经营信息',
        tableName:'enterprise_manage',
        schema:{
            mId: {
                type:Sequelize.STRING(20), //表示属性的数据类型
                allowNull:false, //表示当前列是否允许为空， false表示该列不能为空
                primaryKey:true, //表示主键
                unique:true //表示该列的值必须唯一
            },
            year: {type:Sequelize.STRING(100)}, //年度
            BI: {type:Sequelize.STRING(100)}, //营收（万元）
            TXP: {type:Sequelize.STRING(100)}, //纳税（万元）
            RD: {type:Sequelize.STRING(100)}, //研发投入（万元）
            createTime: {type:Sequelize.STRING(100)}, //填写时间
        },
        association: []
    },
    {
        tableNameCn:'企业资质',
        tableName:'enterprise_qualification',
        schema:{
            qId: {
                type:Sequelize.STRING(20), //表示属性的数据类型
                allowNull:false, //表示当前列是否允许为空， false表示该列不能为空
                primaryKey:true, //表示主键
                unique:true //表示该列的值必须唯一
            },
            kxTime: {type:Sequelize.STRING(100)}, //科小认定时间
            zjtxTime: {type:Sequelize.STRING(100)}, //专精特新认定时间
            xjrTime: {type:Sequelize.STRING(100)}, //小巨人认定时间
            xjrPyTime: {type:Sequelize.STRING(100)}, //小巨人培育认定时间
            goPublicTime: {type:Sequelize.STRING(100)}, //上市时间
            goPublicSector: {type:Sequelize.STRING(100)}, //上市板块
        },
        association: []
    },
    {
        tableNameCn:'参保记录',
        tableName:'enterprise_canbao',
        schema:{
            cId: {
                type:Sequelize.STRING(20), //表示属性的数据类型
                allowNull:false, //表示当前列是否允许为空， false表示该列不能为空
                primaryKey:true, //表示主键
                unique:true //表示该列的值必须唯一
            },
            year: {type:Sequelize.STRING(100)}, //所属年报
            degree: {type:Sequelize.STRING(100)}, //学历
            number: {type:Sequelize.STRING(100)}, //人数
        },
        association: []
    },
    {
        tableNameCn:'创业团队',
        tableName:'enterprise_team',
        schema:{
            tId: {
                type:Sequelize.STRING(20), //表示属性的数据类型
                allowNull:false, //表示当前列是否允许为空， false表示该列不能为空
                primaryKey:true, //表示主键
                unique:true //表示该列的值必须唯一
            },
            name: {type:Sequelize.STRING(100)}, //姓名
            sex: {type:Sequelize.STRING(100)}, //性别
            birth: {type:Sequelize.STRING(100)}, //出生年月
            degree: {type:Sequelize.STRING(100)}, //最高学历
            graduationSchool: {type:Sequelize.STRING(100)}, //毕业学校
            type: {type:Sequelize.STRING(100)}, //人才类型
            des: {type:Sequelize.STRING(100)}, //履历描述
        },
        association: []
    },
    {
        tableNameCn:'知识产权',
        tableName:'enterprise_ipr',
        schema:{
            iprId: {
                type:Sequelize.STRING(20), //表示属性的数据类型
                allowNull:false, //表示当前列是否允许为空， false表示该列不能为空
                primaryKey:true, //表示主键
                unique:true //表示该列的值必须唯一
            },
            year: {type:Sequelize.STRING(100)}, //认定时间（年）
            number: {type:Sequelize.STRING(100)}, //个数
        },
        association: []
    },
    {
        tableNameCn:'法人信息表',
        tableName:'enterprise_legal_person',
        schema:{
            legalId: {
                type:Sequelize.STRING(20), //表示属性的数据类型
                allowNull:false, //表示当前列是否允许为空， false表示该列不能为空
                primaryKey:true, //表示主键
                unique:true //表示该列的值必须唯一
            },
            name: {type:Sequelize.STRING(100)}, //姓名
            idCard: {type:Sequelize.STRING(100)}, //身份证
            domicile: {type:Sequelize.STRING(100)}, //户籍
            degree: {type:Sequelize.STRING(100)}, //学历
            politicalStatus: {type:Sequelize.STRING(100)}, //政治面貌
            phone: {type:Sequelize.STRING(100)}, //手机号码
        },
        association: []
    },
    {
        tableNameCn:'企业专利表',
        tableName:'enterprise_patent',
        schema:{
            pId: {
                type:Sequelize.STRING(20), //表示属性的数据类型
                allowNull:false, //表示当前列是否允许为空， false表示该列不能为空
                primaryKey:true, //表示主键
                unique:true //表示该列的值必须唯一
            },
            year: {type:Sequelize.STRING(100)}, //认定时间（年）
            lv: {type:Sequelize.STRING(100)}, //专利级别
            number: {type:Sequelize.STRING(100)}, //个数
        },
        association: []
    },
    {
        tableNameCn:'企业基础信息表',
        tableName:'enterprise',
        schema:{
            eId:{
                type:Sequelize.STRING(100), //表示属性的数据类型
                allowNull:false, //表示当前列是否允许为空， false表示该列不能为空
                primaryKey:true, //表示主键
                unique:true //表示该列的值必须唯一
            },
            enterpriseName: {type:Sequelize.STRING(100), allowNull:false}, //企业名称
            uscc: {type:Sequelize.STRING(100), allowNull:false}, //统一信用代码
            zhuCeHao:{type:Sequelize.STRING(100)},//注册号
            zuZhiJiGouDaiMa: {type:Sequelize.STRING(100)}, //组织机构代码
            gengDuoDianHua: {type:Sequelize.STRING(100)}, //更多电话
            mainBusiness: {type:Sequelize.STRING(100)}, //主营业务
            logonTime: {type:Sequelize.STRING(100)}, //注册时间
            mail: {type:Sequelize.STRING(100)}, //邮箱
            isNaturalPersonHolding: {type:Sequelize.STRING(100)}, //是否自然人控股企业
            industry: {type:Sequelize.STRING(100)}, //领域
            moreMail: {type:Sequelize.STRING(100)}, //更多邮箱
            dianHua: {type:Sequelize.STRING(100)}, //电话
            logonAddress: {type:Sequelize.STRING(100)}, //注册地址
            tongXinDiZhi: {type:Sequelize.STRING(100)}, //通信地址
            liaison: {type:Sequelize.STRING(100)}, //联系人
            liaisonPhone: {type:Sequelize.STRING(100)}, //联系电话
            dengJiJiGuan: {type:Sequelize.STRING(100)}, //登记机关
            qiYeGuiMo: {type:Sequelize.STRING(100)}, //企业规模
            RAS: {type:Sequelize.STRING(100)}, //登记状态
            guanWang: {type:Sequelize.STRING(100)}, //官网地址
            yingYeQiXian: {type:Sequelize.STRING(100)}, //营业期限
            logOffMS: {type:Sequelize.STRING(100)}, //注销时间
            shijiaoziben: {type:Sequelize.STRING(100)}, //实缴资本
            enterpriseType: {type:Sequelize.STRING(100)}, //企业机构类型
            jianJie: {type:Sequelize.STRING(100)}, //简介
            zhuceziben: {type:Sequelize.STRING(100)}, //注册资本
            naShuiRenZiZhi: {type:Sequelize.STRING(100)}, //纳税人资质
            operatingAddress: {type:Sequelize.STRING(100)}, //经营地址
            oldLogonAddress: {type:Sequelize.STRING(100)}//迁入前注册地址
        },
        association: [
            {type: "hasMany", check: "enterprise_fuhua", foreignKey:"eId"},
            {type: "hasMany", check: "enterprise_lease", foreignKey:"eId"},
            {type: "hasMany", check: "enterprise_user", foreignKey:"eId"},
            {type: "hasMany", check: "enterprise_financing", foreignKey:"eId"},
            {type: "hasMany", check: "enterprise_honor", foreignKey:"eId"},
            {type: "hasMany", check: "enterprise_manage", foreignKey:"eId"},
            {type: "hasMany", check: "enterprise_qualification", foreignKey:"eId"},
            {type: "hasMany", check: "enterprise_canbao", foreignKey:"eId"},
            {type: "hasMany", check: "enterprise_team", foreignKey:"eId"},
            {type: "hasMany", check: "enterprise_ipr", foreignKey:"eId"},
            {type: "hasMany", check: "enterprise_legal_person", foreignKey:"eId"},
            {type: "hasMany", check: "enterprise_patent", foreignKey:"eId"}
        ]
    },

]; 